<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<title>Weather Forecast</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<link rel="stylesheet" type="text/css"
	href="https://cdn.datatables.net/1.10.19/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" type="text/css"
	href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/css/bootstrap-datepicker.standalone.min.css">
<link rel="stylesheet"
	href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
.form-group.required>label:first-child:after {
	content: "*";
	color: red;
}
.truncate-ellipsis {
    display: table;
    table-layout: fixed;
    width: 100%;
    white-space: nowrap;
}
 
.truncate-ellipsis > * {
    display: table-cell;
    overflow: hidden;
    text-overflow: ellipsis;
}
</style>
</head>
<body>
	<div class="container-fluid mt-2">
		<div class="card">
			<div class="card-header bg-primary text-white">Weather Forecast</div>
			<div class="card-body">
				<table id="weather_grid"
					class="table table-striped table-bordered dataTable" width="100%">
					<thead>
						<tr>
							<th>Date</th>
							<th>Time</th>
							<th>Phenomenon</th>
							<th>Temp (Min)</th>
							<th>Temp (Max)</th>
							<th>Detail</th>
							<th>Peipsi</th>
							<th>Place</th>
							<th>Place Phenomenon</th>
							<th>Place Temp (Min)</th>
						</tr>
					</thead>
				</table>
			</div>
		</div>
	</div>
	<!-- Modal -->
	<script
		src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
	<script
		src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
	<script
		src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datepicker/1.8.0/js/bootstrap-datepicker.min.js"></script>
	<script
		src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
	<script
		src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
	<script src="https://momentjs.com/downloads/moment.js"></script>
	<script type="text/javascript">
		moment().format();

		$(document).ready(function() {
			$("body").tooltip({
				selector : '[data-toggle=tooltip]'
			});

			$('#weather_grid').DataTable({
				responsive : true,
				ajax : {
					url : '/forecasts/',
					dataSrc : ''
				},
				columns : [ 
					{
						data : "date",
						searchable : false,
						render : function(data, type, row) {
							var date = moment(row.date);
							return date.format('DD-MM-YYYY');
						}
					},
					{
						data : "forecastTime",
						searchable : false
					}, 
					{
						data : "phenomenon",
						searchable : false
					}, 
					{
						data : "tempMin",
						searchable : false
					}, 
					{
						data : "tempMax",
						searchable : false
					}, 
					{
						data : "text",
						searchable : false,
						sortable : false,
						render : function(data, type, row) {
							return trim(row.text);
						}
					}, 
					{
						data : "peipsi",
						searchable : false,
						sortable : false,
						render : function(data, type, row) {
							return trim(row.peipsi);
						}
					}, 
					{
						data : "place"
					}, 
					{
						data : "placePhenomenon",
						searchable : false
					}, 
					{
						data : "placeTempMin",
						searchable : false
					}
				],
				order: [
					[ 0 , "asc" ], [ 7 , "asc" ]
				]
			});

		});
		
		function trim(originalText, trimLength = 25) {
			if (! originalText) return '';
			var text = originalText;
			var shortText = $.trim(text).substring(0, trimLength).split(" ").slice(0, -1).join(" ") + "<span data-toggle='tooltip' title='"+  originalText +"'>...</span>";
			return shortText;
		}
	</script>
</body>
</html>